Difference between revisions of "Template:Which version number/doc"

From Online Manual

Jump to: navigation, search
(Created page with "This template will allow updating of the versions numbers currently supported Example: <pre><nowiki>{{Which version number|currentstable}} </nowiki></pre> The above would out pu...")
 
Line 7: Line 7:
  
 
{{parmdesc
 
{{parmdesc
|currentstable|d1== The current stable version of the SMF software -- the first listed on the downloads page
+
|currentstable|d1=The current stable version of the SMF software -- the first listed on the downloads page
 
|currentseries|d2=The series to which the current stable version belongs (1.1.13 is in the series 1.1)
 
|currentseries|d2=The series to which the current stable version belongs (1.1.13 is in the series 1.1)
 
|deprecatedseries|d3=The currently deprecated series; the series which is no longer current. With the release of 1.1, the 1.0 series became deprecated. Still supported. No new features to be added. Important bugfixes possible.
 
|deprecatedseries|d3=The currently deprecated series; the series which is no longer current. With the release of 1.1, the 1.0 series became deprecated. Still supported. No new features to be added. Important bugfixes possible.
 
|obsoleteseries|d4=Any previous series which is no longer supported, and for which no new bugfixes are to be released
 
|obsoleteseries|d4=Any previous series which is no longer supported, and for which no new bugfixes are to be released
 
}}
 
}}

Revision as of 17:37, 8 October 2013

This template will allow updating of the versions numbers currently supported Example:

{{Which version number|currentstable}}

The above would out put the current stable version that is stored in the variable currentstable in the template

  • currentstable The current stable version of the SMF software -- the first listed on the downloads page
  • currentseries The series to which the current stable version belongs (1.1.13 is in the series 1.1)
  • deprecatedseries The currently deprecated series; the series which is no longer current. With the release of 1.1, the 1.0 series became deprecated. Still supported. No new features to be added. Important bugfixes possible.
  • obsoleteseries Any previous series which is no longer supported, and for which no new bugfixes are to be released